org.jfree.chart.entity

## Class XYAnnotationEntity

- java.lang.Object
- - org.jfree.chart.entity.ChartEntity
  - - org.jfree.chart.entity.XYAnnotationEntity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PublicCloneable

      public class XYAnnotationEntity
      extends ChartEntity
      implements java.io.Serializable

  A chart entity that represents an annotation on an `XYPlot`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XYAnnotationEntity(java.awt.Shape hotspot, int rendererIndex, java.lang.String toolTipText, java.lang.String urlText)` Creates a new entity.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Tests the entity for equality with an arbitrary object.
    `int` | `getRendererIndex()` Returns the renderer index.
    `void` | `setRendererIndex(int index)` Sets the renderer index.

    - ### Methods inherited from class org.jfree.chart.entity.ChartEntity

      `clone, getArea, getImageMapAreaTag, getShapeCoords, getShapeType, getToolTipText, getURLText, hashCode, setArea, setToolTipText, setURLText, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XYAnnotationEntity

          public XYAnnotationEntity(java.awt.Shape hotspot,
                                    int rendererIndex,
                                    java.lang.String toolTipText,
                                    java.lang.String urlText)

      Creates a new entity.
      Parameters:
        `hotspot` - the area.
        `rendererIndex` - the rendererIndex (zero-based index).
        `toolTipText` - the tool tip text.
        `urlText` - the URL text for HTML image maps.

  - ### Method Detail

    - #### getRendererIndex

          public int getRendererIndex()

      Returns the renderer index.
      Returns:
        The renderer index.

    - #### setRendererIndex

          public void setRendererIndex(int index)

      Sets the renderer index.
      Parameters:
        `index` - the item index (zero-based).

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests the entity for equality with an arbitrary object.
      Overrides:
        `equals` in class `ChartEntity`
      Parameters:
        `obj` - the object (`null` permitted).
      Returns:
        A boolean.